%define name lxc-reference
%define version 0.1
%define taglevel 1
%define release %{taglevel}%{?pldistro:.%{pldistro}}%{?date:.%{date}}
%define source http://build.planet-lab.org/files/lxc-reference-%{version}.tgz

Name:		%{name}	
Version:	%{version}
Release:	%{release}
Summary:	A simple package to deploy reference images for lxc

Group:		Applications/System
License:	GPL	
URL:		None
Source0:	%{source}
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: btrfs-progs

%description
A simple package to deploy reference images for lxc

%prep
touch $RPM_BUILD_DIR/configure
chmod +x $RPM_BUILD_DIR/configure
wget %{source}

%install
mkdir -p $RPM_BUILD_ROOT/vservers/
cp $RPM_BUILD_DIR/lxc-reference-%{version}.tgz $RPM_BUILD_ROOT/vservers/

%post
mkdir /vservers/.lvref
btrfs subvolume /vservers/.lvref/lxc-f14-x86_86
btrfs subvolume /vservers/.lvref/lxc-squeeze-x86_86
tar zxvf /vservers/lxc-reference-%{version}.tgz -C /vservers/tmp
rm -rf /vservers/lxc-reference-%{version}.tgz

%preun
btrfs subvolume delete /vservers/.lvref/lxc-f14-x86_64
btrfs subvolume delete /vservers/.lvref/lxc-squeeze-x86_64
rm -rf /vservers/.lvref

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/*

%files
/vservers/lxc-reference-%{version}.tgz

%changelog
* Fri Dec 16 2011 Marco Yuen <marcoy@cs.princeton.edu> - lxc-reference-0.1
- Add dependency (btrfs-progs).
- Change source URL.

* Wed Nov 30 2011 Xavier Leon <xleon@ac.upc.edu> - lxc-reference-0.1
- First dumb version of the reference image
- At the moment, just a working debian squeeze image is provided
